#!/usr/bin/env python3
# coding: utf-8

import sys
from pathlib import Path
p = str(Path(__file__).resolve().parent.parent)
sys.path.insert(0, p)

import unittest
from tempfile import NamedTemporaryFile
import easymacro as app


class BaseTest(unittest.TestCase):

    @classmethod
    def setUpClass(cls):
        pass

    @classmethod
    def tearDownClass(cls):
        pass

    def setUp(self):
        msg = f'In method: {self._testMethodName}'
        app.debug(msg)

    def tearDown(self):
        pass


class TestDocuments(BaseTest):

    def test_doc_new(self):
        result = app.docs.new()
        self.assertIsNotNone(result)
        result.close()


if __name__ == '__main__':
    unittest.main(exit=False)
